//------------------------------------------------------
//
//   Greg's Blogging - Chat console
//
//------------------------------------------------------

package gcewing.blogging;

import java.util.*;
import net.minecraft.client.gui.*;
import net.minecraft.client.Minecraft;

public class Chat {

	static Queue<String> pending = new LinkedList<String>();

	static void print(String s) {
		pending.add(s);
	}
	
	public static void tick() {
		if (!pending.isEmpty()) {
			Minecraft mc = Minecraft.getMinecraft();
			GuiIngame igg = mc.ingameGUI;
			if (igg != null) {
				GuiNewChat gnc = igg.getChatGUI();
				if (gnc != null) {
					while (!pending.isEmpty())
						gnc.printChatMessage(pending.remove());
				}
			}
		}
	}

}
