//-------------------------------------------------------------
//
//   Greg's Blogging - Thread for sending entry by email
//
//-------------------------------------------------------------

package gcewing.blogging;

class EmailThread extends BlogThread {

	String html;
	byte[] image;

	EmailThread(String subject, String html, byte[] image) {
		super(subject);
		if (image != null)
			html = html.replace("<IMGSRC>", "cid:screenshot");
		this.html = html;
		this.image = image;
	}
	
	public void run() {
		try {
			Chat.print("Sending blog entry as mail");
			new SMTP(subject, html, image);
			Chat.print("Mail sent successfully");
			complete = true;
		}
		catch (EnvironmentError e) {
			reportError("Sending mail failed", e);
		}
	}

}
